Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes

From: Dmitry Gutov <[email-masked]>
Date: Thu, 30 Sep 2021 20:00:41 +0300

On 30.09.2021 16:39, Lars Ingebrigtsen wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> The value of font-lock-global-modes affects how global-font-lock-mode works.
> 
> Right.  But we could make (show-paren-mode 1) set the mooted
> show-paren-global-modes to t.  Since it's show-paren-mode is on by
> default, show-paren-global-modes would basically only be used by those
> people who's not explicitly saying (show-paren-mode 1).
> 
> And (show-paren-mode -1), for that matter.
> 
> So introducing a variable like that (with a default value of `(not
> special-mode)') should not affect people who are already explicitly
> switching the mode on or off.
> 
> Or am I missing something?

That should be doable, yes.

I just can't think of another mode that does something similar. So this 
kind of special behavior might catch people by surprise.

Anyway, this is not a strong objection, and I might be convinced by a 
particular implementation. We could even adopt this practice in more 
places, if it really makes sense to people.

At the moment, though, I'm more in favor of adding a *-global-modes 
variable, and then, having collected feedback, changing its default in 
some future version.